Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: java-devel = 1.4.2
BuildRequires: java-devel = 1.5.0
BuildRequires: /proc
BuildRequires: jpackage-1.6-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define without_tests %{!?_with_tests:1}%{?_with_tests:0}
%define with_tests %{?_with_tests:1}%{!?_with_tests:0}


%define gcj_support 0


Name:           derby
Version:        10.3.3.0
Release:        alt2_1jpp6
Epoch:          0
Summary:        Derby DB (ex Cloudscape)

Group:          Databases
License:        ASL 2.0
URL:            http://db.apache.org/derby/
Source0:        http://www.apache.org/dist/db/derby/db-derby-10.3.3.0/db-derby-10.3.3.0-src.tar.gz
#Source1:        derby-10.1.1.0-test.script
Source1:        http://prdownloads.sourceforge.net/dita-ot/DITA-OT1.1.2.1_bin-ASL.zip
Source2:        derby-10.3.3.0.pom
Source3:        derbyclient-10.3.3.0.pom
Source4:        derbyLocale_cs-10.3.3.0.pom
Source5:        derbyLocale_de_DE-10.3.3.0.pom
Source6:        derbyLocale_es-10.3.3.0.pom
Source7:        derbyLocale_fr-10.3.3.0.pom
Source8:        derbyLocale_hu-10.3.3.0.pom
Source9:        derbyLocale_it-10.3.3.0.pom
Source10:       derbyLocale_ja_JP-10.3.3.0.pom
Source11:       derbyLocale_ko_KR-10.3.3.0.pom
Source12:       derbyLocale_pl-10.3.3.0.pom
Source13:       derbyLocale_pt_BR-10.3.3.0.pom
Source14:       derbyLocale_ru-10.3.3.0.pom
Source15:       derbyLocale_zh_CN-10.3.3.0.pom
Source16:       derbyLocale_zh_TW-10.3.3.0.pom
Source17:       derbynet-10.3.3.0.pom
Source18:       derbyrun-10.3.3.0.pom
Source19:       derbytools-10.3.3.0.pom

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif

BuildRequires: jpackage-utils >= 0:1.7.5
BuildRequires: ant >= 0:1.6.5
BuildRequires: ant-nodeps
BuildRequires: ant-trax
BuildRequires: avalon-framework
BuildRequires: felix
BuildRequires: jakarta-commons-io
BuildRequires: jakarta-commons-logging
BuildRequires: javacc
BuildRequires: junit
#BuildRequires:  jta
BuildRequires: oro
BuildRequires: servlet_2_4_api
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-jaxp-1.3-apis
BuildRequires: xmlgraphics-commons
BuildRequires: xmlgraphics-batik-rasterizer
BuildRequires: xmlgraphics-fop
Requires: jta
Requires: oro
Requires: servletapi5
Requires: xalan-j2
Requires: xerces-j2
Requires: xml-commons-jaxp-1.3-apis

%description
The Derby project develops open source database technology 
that is: Pure Java, Easy to use, Small footprint, Standards 
based, Secure.
The core of the technology, Derby.s database engine is a 
full functioned relational embedded database engine. JDBC 
and SQL are the programming APIs. 
The Derby network server increases the reach of the Derby 
database engine by providing traditional client server 
functionality. The network server allows clients to connect 
over TCP/IP using the standard DRDA protocol. The network 
server allows the Derby engine to support networked JDBC, 
ODBC/CLI, Perl and PHP. 
Database Utilities:
ij -- a tool that allows SQL scripts to be executed against 
      any JDBC database. 
dblook -- Schema extraction tool for a Derby database. 
sysinfo -- Utility to display version numbers and class path. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
Documents for %{name}

%package        demo
Summary:        Examples for %{name}
Group:          Development/Documentation

%description    demo
Examples for %{name}

%prep
rm -rf db-%{name}-%{version}-doc-src
%setup -q -n db-%{name}-%{version}-src
ln -s ../db-%{name}-%{version}-doc-src doc
pushd doc
unzip -q %{SOURCE1}
popd
for j in $(find . -follow -name "*.jar"); do
        mv $j $j.no
done
mv doc/DITA-OT1.1.2.1/lib/dost.jar.no doc/DITA-OT1.1.2.1/lib/dost.jar

ln -sf $(build-classpath avalon-framework) doc/lib/avalon-framework-4.2.0.jar
ln -sf $(build-classpath xmlgraphics-batik/rasterizer) doc/lib
ln -sf $(build-classpath commons-io) doc/lib/commons-io-1.1.jar
ln -sf $(build-classpath commons-logging) doc/lib/commons-logging-1.0.4.jar
ln -sf $(build-classpath xmlgraphics-commons) doc/lib/xmlgraphics-commons-1.1.jar
ln -sf $(build-classpath xmlgraphics-fop) doc/lib/fop.jar
ln -sf $(build-classpath xalan-j2) doc/lib/xalan-2.7.0.jar
ln -sf $(build-classpath xalan-j2-serializer) doc/lib/serializer-2.7.0.jar
ln -sf $(build-classpath xerces-j2) doc/lib/xercesImpl-2.7.1.jar
ln -sf $(build-classpath xml-commons-jaxp-1.3-apis) doc/lib/xml-apis-1.3.02.jar
cp %{SOURCE1} doc/lib

%build

#export CLASSPATH=$(build-classpath xalan-j2 xalan-j2-serializer)
#subst 's,build.sysclasspath=ignore,build.sysclasspath=last,' tools/ant/properties/modern.properties
export JAVA_HOME=%{_jvmdir}/java-1.5.0
export OPT_JAR_LIST="ant/ant-trax ant/ant-nodeps xalan-j2 xalan-j2-serializer"
ant \
    -Dj14lib=/usr/lib/jvm/java-1.4.2/jre/lib \
    -Dj15lib=/usr/lib/jvm/java-1.5.0/jre/lib \
    -Djdk16=/usr/lib/jvm/java-1.6.0 \
    -Dant.library.dir=/usr/share/java \
    -Doro=$(build-classpath oro) \
    -Dservlet24=$(build-classpath servlet_2_4_api) \
    -Dosgi=$(build-classpath felix/org.osgi.core) \
    -DxercesImpl=$(build-classpath xerces-j2) \
    -Dxml-apis=$(build-classpath xml-commons-jaxp-1.3-apis) \
    -Dxalan=$(build-classpath xalan-j2) \
    -Djavacc=$(build-classpath javacc) \
    -Djunit=$(build-classpath junit) \
    buildsource buildjarsclean javadoc \
%if %{with_tests}
    testing
%endif

pushd doc
ant all
popd

%install

# jars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 jars/insane/derby.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derby-%{version}.jar
install -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derby.pom
%add_to_maven_depmap org.apache.derby derby %{version} JPP/%{name} derby

install -m 644 jars/insane/derbyclient.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyclient-%{version}.jar
install -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyclient.pom
%add_to_maven_depmap org.apache.derby derbyclient %{version} JPP/%{name} derbyclient

install -m 644 jars/insane/derbyLocale_cs.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_cs-%{version}.jar
install -m 644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_cs.pom
%add_to_maven_depmap org.apache.derby derbyLocale_cs %{version} JPP/%{name} derbyLocale_cs

install -m 644 jars/insane/derbyLocale_de_DE.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_de_DE-%{version}.jar
install -m 644 %{SOURCE5} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_de_DE.pom
%add_to_maven_depmap org.apache.derby derbyLocale_de_DE %{version} JPP/%{name} derbyLocale_de_DE

install -m 644 jars/insane/derbyLocale_es.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_es-%{version}.jar
install -m 644 %{SOURCE6} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_es.pom
%add_to_maven_depmap org.apache.derby derbyLocale_es %{version} JPP/%{name} derbyLocale_es

install -m 644 jars/insane/derbyLocale_fr.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_fr-%{version}.jar
install -m 644 %{SOURCE7} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_fr.pom
%add_to_maven_depmap org.apache.derby derbyLocale_fr %{version} JPP/%{name} derbyLocale_fr

install -m 644 jars/insane/derbyLocale_hu.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_hu-%{version}.jar
install -m 644 %{SOURCE8} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_hu.pom
%add_to_maven_depmap org.apache.derby derbyLocale_hu %{version} JPP/%{name} derbyLocale_hu

install -m 644 jars/insane/derbyLocale_it.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_it-%{version}.jar
install -m 644 %{SOURCE9} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_it.pom
%add_to_maven_depmap org.apache.derby derbyLocale_it %{version} JPP/%{name} derbyLocale_it

install -m 644 jars/insane/derbyLocale_ja_JP.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_ja_JP-%{version}.jar
install -m 644 %{SOURCE10} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_ja_JP.pom
%add_to_maven_depmap org.apache.derby derbyLocale_ja_JP %{version} JPP/%{name} derbyLocale_ja_JP

install -m 644 jars/insane/derbyLocale_ko_KR.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_ko_KR-%{version}.jar
install -m 644 %{SOURCE11} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_ko_KR.pom
%add_to_maven_depmap org.apache.derby derbyLocale_ko_KR %{version} JPP/%{name} derbyLocale_ko_KR

install -m 644 jars/insane/derbyLocale_pl.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_pl-%{version}.jar
install -m 644 %{SOURCE12} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_pl.pom
%add_to_maven_depmap org.apache.derby derbyLocale_pl %{version} JPP/%{name} derbyLocale_pl

install -m 644 jars/insane/derbyLocale_pt_BR.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_pt_BR-%{version}.jar
install -m 644 %{SOURCE13} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_pt_BR.pom
%add_to_maven_depmap org.apache.derby derbyLocale_pt_BR %{version} JPP/%{name} derbyLocale_pt_BR

install -m 644 jars/insane/derbyLocale_ru.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_ru-%{version}.jar
install -m 644 %{SOURCE14} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_ru.pom
%add_to_maven_depmap org.apache.derby derbyLocale_ru %{version} JPP/%{name} derbyLocale_ru

install -m 644 jars/insane/derbyLocale_zh_CN.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_zh_CN-%{version}.jar
install -m 644 %{SOURCE15} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_zh_CN.pom
%add_to_maven_depmap org.apache.derby derbyLocale_zh_CN %{version} JPP/%{name} derbyLocale_zh_CN

install -m 644 jars/insane/derbyLocale_zh_TW.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyLocale_zh_TW-%{version}.jar
install -m 644 %{SOURCE16} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyLocale_zh_TW.pom
%add_to_maven_depmap org.apache.derby derbyLocale_zh_TW %{version} JPP/%{name} derbyLocale_zh_TW

install -m 644 jars/insane/derbynet.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbynet-%{version}.jar
install -m 644 %{SOURCE17} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbynet.pom
%add_to_maven_depmap org.apache.derby derbynet %{version} JPP/%{name} derbynet

install -m 644 jars/insane/derbyrun.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyrun-%{version}.jar
install -m 644 %{SOURCE18} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbyrun.pom
%add_to_maven_depmap org.apache.derby derbyrun %{version} JPP/%{name} derbyrun

%if %{with_tests}
install -m 644 jars/insane/derbyTesting.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbyTesting-%{version}.jar
%endif

install -m 644 jars/insane/derbytools.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/derbytools-%{version}.jar
install -m 644 %{SOURCE19} \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.derby-derbytools.pom
%add_to_maven_depmap org.apache.derby derbytools %{version} JPP/%{name} derbytools

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)


install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 jars/insane/derby.war \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/derby-%{version}.war
install -m 644 CHANGES.html $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 NOTICE $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 README $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 RELEASE-NOTES.html $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 STATUS $RPM_BUILD_ROOT%{_datadir}/%{name}

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/publishedapi $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/engine $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -pr javadoc/language $RPM_BUILD_ROOT%{_docdir}/%{name}/javadoc-language
cp -pr javadoc/tools $RPM_BUILD_ROOT%{_docdir}/%{name}/javadoc-tools
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}/fo
cp doc/out/*/*.fo $RPM_BUILD_ROOT%{_docdir}/%{name}/fo
rm doc/out/*/*.fo
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}/html_single
install -m 0644 doc/out/adminguide/adminguide-single.html $RPM_BUILD_ROOT%{_docdir}/%{name}/html_single
rm doc/out/adminguide/adminguide-single.html
install -m 0644 doc/out/devguide/devguide-single.html $RPM_BUILD_ROOT%{_docdir}/%{name}/html_single
rm doc/out/devguide/devguide-single.html
install -m 0644 doc/out/getstart/getstart-single.html $RPM_BUILD_ROOT%{_docdir}/%{name}/html_single
rm doc/out/getstart/getstart-single.html
cp -pr doc/out/images $RPM_BUILD_ROOT%{_docdir}/%{name}/html_single
install -m 0644 doc/out/ref/ref-single.html $RPM_BUILD_ROOT%{_docdir}/%{name}/html_single
rm doc/out/ref/ref-single.html
install -m 0644 doc/out/tools/tools-single.html $RPM_BUILD_ROOT%{_docdir}/%{name}/html_single
rm doc/out/tools/tools-single.html
install -m 0644 doc/out/tuning/tuning-single.html $RPM_BUILD_ROOT%{_docdir}/%{name}/html_single
rm doc/out/tuning/tuning-single.html
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}/html
cp -pr doc/out/adminguide $RPM_BUILD_ROOT%{_docdir}/%{name}/html
cp -pr doc/out/devguide $RPM_BUILD_ROOT%{_docdir}/%{name}/html
cp -pr doc/out/getstart $RPM_BUILD_ROOT%{_docdir}/%{name}/html
cp -pr doc/out/getstart $RPM_BUILD_ROOT%{_docdir}/%{name}/html
cp -pr doc/out/images $RPM_BUILD_ROOT%{_docdir}/%{name}/html
cp -pr doc/out/ref $RPM_BUILD_ROOT%{_docdir}/%{name}/html
cp -pr doc/out/tools $RPM_BUILD_ROOT%{_docdir}/%{name}/html
cp -pr doc/out/tuning $RPM_BUILD_ROOT%{_docdir}/%{name}/html



%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%files
%{_javadir}/%{name}
%{_datadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/derby*-%{version}.jar.*
%endif

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%files manual
%doc %{_docdir}/%{name}

%changelog
* Sat Feb 28 2009 Igor Vlasenko <viy@altlinux.ru> 0:10.3.3.0-alt2_1jpp6
- packaged jdbc driver

* Thu Jan 29 2009 Igor Vlasenko <viy@altlinux.ru> 0:10.3.3.0-alt1_1jpp6
- new version

* Wed Nov 12 2008 Igor Vlasenko <viy@altlinux.ru> 0:10.1.1.0-alt2_1jpp1.7
- force build with java4

* Mon Jun 04 2007 Igor Vlasenko <viy@altlinux.ru> 0:10.1.1.0-alt1_1jpp1.7
- converted from JPackage by jppimport script

